#!/bin/sh

name="edb"
title="Edb"
package="edb"
version="1.0.3"
build="1"
noarch="n"
build_info="Standard build."

info="Enlightenment Database Access Library."
desc="Edb is a database abstraction layer to Berkeley Databases.
Edb contains the source for DB 2.7.7, thus freezing the
database format on disk, making sure it will never become
incompatible (as is a habit of the DB interface in libc).
Edb wraps this with a convenience and optimization API
layer, making database access easy, fast and consistent.
It handles typing of information in the database and much
more."
category="database/engine"
environment="library"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://belnet.dl.sourceforge.net/sourceforge/enlightenment/$name-$version.tar.gz

configure_option --prefix=/usr
configure_option --enable-cxx
configure_option --enable-compat185
configure_option --enable-dump185

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: edb.builder,v $
# Revision 1.2  2003/02/27 21:57:57  swiergot
# - Build 1.
#
# Revision 1.1  2003/02/27 21:31:01  swiergot
# - Initial release.
# - Version 1.0.3.
#
